<div class="row">
    <div class="column" style="width:50%;display:flex;">
        <div class="side-item fontSize topic" style="font-size: 18px;display: flex;">
            <div style="display: flex;margin-right: 10px;cursor: pointer;" routerLink="/reportList"
                *ngIf="pathBefore!='จัดการรายชื่อ'">
                <img src="../../../../assets/img/icons/icon-chart.png" style="margin-right: 10px;">{{pathBefore}}
            </div>
            <div style="display: flex;margin-right: 10px;cursor: pointer;" routerLink="/members"
                *ngIf="pathBefore=='จัดการรายชื่อ'">
                <img src="../../../../assets/img/icons/icon-chart.png" style="margin-right: 10px;">{{pathBefore}}
            </div>
            / รายงานการเช็คชื่อรายบุคคล
        </div>
    </div>

    <div class="column1" style="width:40%;display:flex;margin-top: 10px;margin-right: 16px;">
        <mat-form-field appearance="outline" class="search">
            <mat-label>Search</mat-label>
            <input matInput (keyup)="applyFilter($event.target.value)">
            <mat-icon matSuffix class="fontSize">search</mat-icon>
        </mat-form-field>

    </div>
</div>
<div class="side"></div>
<br>
<div class="row" style="width: 95%;margin: auto;">
    <div class="column" style="width:40%;display:flex;">
        <div class="name" >
            รายงานการเช็คชื่อ {{reportMember}}
        </div>
       
    </div>
    <div class="column1" style="width:25%;display:flex;margin-top: 10px;">
        <div class="report"
            style="background-color: rgba(196, 193, 193, 0.568); border-radius: 50px 0px 0px 50px;float: right;">
            <div class="report-text">
                <div style="margin-right: 10px;display: flex;">ทันเวลา <div
                        style=" display: flex;margin-left: 5px;margin-right: 5px;">
                        {{sumReport.onTime}}</div> ครั้ง</div>
                <div style="margin-right: 10px;display: flex;">สาย <div
                        style="display: flex;margin-left: 5px;margin-right: 5px;">
                        {{sumReport.late}}</div> ครั้ง</div>
                <div style="display: flex;">ขาดเรียน <div
                        style="display: flex;margin-left: 5px;margin-right: 5px;color: red;">
                        {{sumReport.absent}}</div> ครั้ง</div>
            </div>
        </div>
    </div>
</div>
<div class="mat-elevation-z1" style="width: 95%;margin: auto;">
    <table mat-table [dataSource]="dataSource" matSort>

        <ng-container matColumnDef="id">
            <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head"> ลำดับ </th>
            <td mat-cell *matCellDef="let row" class="table-list"> {{row.id}} </td>
        </ng-container>

        <ng-container matColumnDef="list">
            <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head"> รายการ </th>
            <td mat-cell *matCellDef="let row" class="table-list"> {{row.list}} </td>
        </ng-container>


        <ng-container matColumnDef="type">
            <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head"> ประเภท </th>
            <td mat-cell *matCellDef="let row" class="table-list"> {{row.type}} </td>
        </ng-container>

        <ng-container matColumnDef="hours">
            <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head"> ชั่วโมง </th>
            <td mat-cell *matCellDef="let row" class="table-list"> {{row.hours}} </td>
        </ng-container>

        <ng-container matColumnDef="date">
            <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head"> วันที่ </th>
            <td mat-cell *matCellDef="let row" class="table-list"> {{row.date}} </td>
        </ng-container>


        <ng-container matColumnDef="statusCheck">
            <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head"> ผลการเช็คชื่อ </th>
            <td mat-cell *matCellDef="let row" class="table-list">
                <div *ngIf="row.statusCheck=='ลากิจ'||row.statusCheck=='ลาป่วย'||row.statusCheck=='ไม่ส่งใบลา'"
                    style="color: red;">{{row.statusCheck}}</div>
                <div *ngIf="row.statusCheck!='ลากิจ'&&row.statusCheck!='ลาป่วย'&&row.statusCheck!='ไม่ส่งใบลา'">
                    {{row.statusCheck}}</div>
            </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr class="example-element-row" mat-row *matRowDef="let row; columns: displayedColumns;">
        </tr>
    </table>
</div>